#ifndef _riter_h_
#define _riter_h_
#include <rich/rich.h>

extern float RITERrefind;
extern float RITERradius;
extern int   RITERnhip;
extern int   RITERinput;
extern int   RITERntra;
extern int   RITERhisto;
extern float DQ_RICH_rec_thc_xarray0[100];
extern float DQ_RICH_rec_thc_xarray1[100];
extern float DQ_RICH_rec_thc_xarray2[100];
extern float DQ_RICH_rec_thc_xarray3[100];
extern float DQ_RICH_rec_thc_xmin;
extern float DQ_RICH_rec_thc_xmax;
extern int   DQ_RICH_rec_thc_nbin;

extern float RITERTime[20];

#include <stdlib.h>
#include <stdio.h>
#include <vector>

#include "riter/RITERThreeVector.h"

#include "arte/Chrono.hh"

#define pi M_PI
#define RITER_ERROR 1
#define RITER_OK 0

#ifdef RITER_DEBUG
#define RDEBUG(x) x
#else 
#define RDEBUG(x)
#endif

#define NHIP  6        // number of hipothesis

#define ifix(x) (int)x 
#define max(x,y) (x>y) ? x : y
#define min(x,y) (x<y) ? x : y

inline float sqr(float x) {return x*x;}
inline double   sqr(double x)   {return x*x;}


extern "C" {
  extern float alogam_(float&);
}

#include <riter/RITER.icc>

#endif






