#ifndef _riter_beamshroud_h_
#define _riter_beamshroud_h_
#include <riter/RITER.hh>
#include <rich/rich.h>
  
class RITERBeamshroud {
protected:
  RITERVec  pbs_rc;
  float  pbs_r;

public:
  RITERBeamshroud(){
    RICHVessel &rv = *RICH_Vessel;
    pbs_rc   = toRITERVec(rv.ProtonBeamShroud().x0());
    pbs_r    = rv.ProtonBeamShroud().radius();
    cout << "ProtonBeamShroud dir "    << pbs_rc;
    cout << "ProtonBeamShroud radius " << pbs_r;
  }
  ~RITERBeamshroud(){};
  RITERVec GetBeamDir()   { return  pbs_rc; };
  float      GetBeamRadius(){ return  pbs_r; };
};

#endif
