#ifndef _riter_fill_h_
#define _riter_fill_h_
#include <riter/RITERMain.hh>


class Riter : public RITERMain {
public:
  int  ResetTracks();

  int    AddPhoton(ArtePointer<HITB> hitb,int &nhitb);
  int    AddTrack(ArtePointer<RTRA> rtra,
	     	  RITERVec &dir,
                  float err,
		  RITERVec &point,
		  float p);
  int    Iterate(int mode=0);

  int    Filltracks_RPNT2(ArtePointer<RTRA> rtra,int &itra);
  int    Filltracks_RPNT();

  int    Filltracks_MIMP(ArtePointer<MTRA> mtra,int &nhitb);
  int    Filltracks_MTRA();

  int    Filltracks_RSEG();
  int    Filltracks_MIMPdenis(int &nhitb);

  int    Fillfotons_HITB();
  void   FillRTRA(int mode);  
 
  // *********************** public members 
public:
  int  CherenkovAngle(int nbins, float min, float max, float *xarray);
  int  Riter_evnt();
  Riter():RITERMain(){};
  ~Riter(){ 
#ifdef RITER_DEBUG
    cout<< "deliting Class::Riter \n";
#endif
  };
};

extern Riter *reco_Riter;

// ---------------------------------------------------------------------

#endif 












