#ifndef _riter_planarmirror_h_
#define _riter_planarmirror_h_
#include <riter/RITER.hh>
#include <rich/rich.h>


class RITERPlanarmirror {
protected:  
  /// planar mirrors -position
  RITERVec rp_mu,rp_md;    
  /// planar mirrors -normal
  RITERVec ezp_mu,ezp_md;  
  RITERVec pl_vn[2],pl_vx[2],pl_vy[2],pl_r0[2];  // planar mirrors (up,dn)
  float pl_dx[2];  // pl_vx.mag2();
  float pl_dy[2];  // pl_vy.mag2();
  float dx_plm[35];
  float dy_plm[35];

public:
  RITERVec   Plvn(int id){ return pl_vn[id]; };
  RITERVec   Plvx(int id){ return pl_vx[id]; };
  RITERVec   Plvy(int id){ return pl_vy[id]; };
  RITERVec   Plr0(int id){ return pl_r0[id]; };
  int Which_PLM( RITERVec  &r0, RITERVec  &dir,int which,float &path );
  int PrintPlanarmirror();
  RITERPlanarmirror();
  ~RITERPlanarmirror(){};

};

#endif
