#ifndef _riter_sphericalmirror_h_
#define _riter_sphericalmirror_h_

#include <riter/RITER.hh>

class RITERSphericalmirror {
protected:  
  /// spherical mirrors CoC(nonsegmented)
  RITERVec rc_mu,rc_md;    
  /// spherical mirrors CoC(nonsegmented)
  RITERVec rcmi[2];        
  /// spherical mirrors centers
  RITERVec sf_cen[80];     
  /// curvature radious for upper and lower non segmented mirrors
  float r_mi[2];
  /// corrections
  float dx_sph[80];
  float dy_sph[80];

public:
  RITERVec CoC(int id){ return rcmi[id]; };
  float   Radius(int id){ return r_mi[id]; };
  int Which_SFM(RITERVec &r);
  int PrintSphericalmirror();
  RITERSphericalmirror();
  ~RITERSphericalmirror(){};
};

#endif

