#ifndef _riter_table_h_
#define _riter_table_h_    

#include <riter/RITERTracks.hh>
#include <riter/RITERHits.hh>

class RITERTable(){
 private:
  int ir;
  int itra;
  int ifot;
  int icha;
  float utez;
  float thc;
  float fic;
  float w;
  int flag;
 public:
  
  RITERTable(int ir1,int itra1,int ifot1,int icha1,
	     float utez1,float th_cer,float fi_cer,float w1);
  ~RITERTable(){};
  
  
}

inline int RITERTable::RITERTable(int ir1,int itra1,int ifot1,int icha1,
			   float utez1,float th_cer,float fi_cer,float w1,
			   int isinside){
  ir=ir1;
  itra=itra1;
  ifot=ifot1;
  icha=icha1;
  utez=utez1;
  thc=th_cer;
  fic=fi_cer;
  w=w1;
  flag=isinside;
};




class   RITERIter {
private:
  float bin;
  int nhits;
  int ntra;
  RITERTracks *track;
  RITERHits *foton;
public :
  
  RITERIter(RITERGeometry *geo,
	    RITERTracks   *RTracks,
	    RITERHits     *RHits );
  ~RITERIter(); 
  Iterate(float wdiff);
}
#endif












