#ifndef _riter_utils_h_
#define _riter_utils_h_
#include <riter/RITER.hh>

#ifndef NO_ARTE
#include <arte/arte.hh>
#endif

void premica(RITERVec &rinit,RITERVec &dir,RITERVec &rfinl,float  &path,int izb);

RITERVec transform_from_fixed( RITERVec  &zdir, RITERVec  &vin );
RITERVec RotateToFixed( RITERVec &smer_z, RITERVec &vin);

int SphereIntersection( RITERVec  &r,  RITERVec  &dir, float radij, 
			RITERVec  rc,  RITERVec  &r1 , float &path);
int ShroudIntersection( RITERVec  &r,  RITERVec  &dir, float radij, 
			RITERVec  rc, RITERVec  &r2 , float &path);
int TubeIntersection(   RITERVec  &r,  RITERVec  &dir, float radij, 
			RITERVec  &r1, RITERVec  &r2 );

void SphereReflection(  RITERVec &r,   RITERVec &dir,  float radij,
			RITERVec rc);

#ifndef NO_ARTE
float   Momentum(ArtePointer<RSEG> rseg);
ArtePointer<RCCL> Find_ecal(ArtePointer<RSEG>rseg);
#endif

float   Momentum(float xf,float zf,float txf,float tyf);
#endif


