#include <riter/RITERFaktor.hh>

RITERFaktor::RITERFaktor(){

  char configdir[100];
  char* RITERconfigdir=getenv("RITER_CONFIGDIR");
  if (RITERconfigdir) {
    strcpy(configdir,RITERconfigdir);
    if (configdir[strlen(configdir)-1]!='/') strcat(configdir,"/");
    }
  else {
    char *hb=getenv("HBROOT");
    if (!hb) {
      fprintf(stderr,"RITERFaktor:  $HBROOT is not defined.");
      fprintf(stderr,"Using afs settings \n");
      strcpy(hb,"/afs/desy.de/group/hera-b/ARTE/");
    }
    strcpy(configdir,hb);
    strcat(configdir,"ARTE/geo/RICH/");
  }
                
  
  cout << "RITER: RITER_CONFIGDIR " << configdir << endl; 
  char  file_faktor[100];
  char  file_bgrfak[100];
  sprintf(file_faktor,"%s/faktor.dat",configdir);
  sprintf(file_bgrfak,"%s/bgrfak.dat",configdir);

  for (int i=0;i<10;i++) bgrfak[i]=1;
  for (int i=0;i<100;i++) faktor[i]=0;   
  // init : faktor
  FILE *fp=fopen(file_faktor,"r");
  for (int i =0;i<100;i++) faktor[i]=1;
  if (fp!=NULL) {
    for (int j=0;j<100;j++)  fscanf(fp,"%f", &faktor[j]);
    fclose(fp);
  }
  for (int i =0;i<100;i++) faktor[i]=max(faktor[i],1);
  
  //! init: bgrfak

  FILE *fp1=fopen(file_bgrfak,"r");
  if (fp1!=NULL) {
    for (int j=0;j<10;j++) fscanf(fp1,"%f", &bgrfak[j]);
    fclose(fp1);
  }
};

//-------------------------------------------------------------      

