#ifndef _riter_pmt_h_
#define _riter_pmt_h_
#include <riter/RITER.hh>

class RITERPmt {
private:
  RITERVec r;
  float sig,eff;
  /**
   types={ 1 m4,0 m16,-1 not connected, -2 hot , -3 dead }
   */
  int type;
  int nh;
public:
  RITERPmt(){ nh=0;sig=0;eff=0;type=-1;};
  ~RITERPmt(){};
  int Set(RITERVec r_, int type_, float sig_=0,float eff_=0, int nh_=0) {
    r=r_;
    sig=sig_;
    eff=eff_;
    nh=nh_;
    type=type_;
    return 0;
  }
  RITERVec Position()   { return r;   };
  int        Type()       { return type;};
  float      Sigma()      { return sig; };
  float      Efficiency() { return eff; };
  int        Hits()       { return nh; };

};

#endif
